Package com.independentsoft.office.word

# Enum Class HyphenRule

java.lang.Object
java.lang.Enum<HyphenRule>
com.independentsoft.office.word.HyphenRule

All Implemented Interfaces:
  `Serializable`, `Comparable<HyphenRule>`, `Constable`

public enum HyphenRule extends Enum<HyphenRule>
The Enum HyphenRule.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ADD_BEFORE`
  `CHANGE_AFTER`
  `CHANGE_BEFORE`
  `DELETE_AND_CHANGE`
  `DELETE_BEFORE`
  `NONE`
  `NORMAL`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static HyphenRule`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static HyphenRule[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NONE

    public static final HyphenRule NONE

  - ### NORMAL

    public static final HyphenRule NORMAL

  - ### ADD_BEFORE

    public static final HyphenRule ADD_BEFORE

  - ### CHANGE_BEFORE

    public static final HyphenRule CHANGE_BEFORE

  - ### DELETE_BEFORE

    public static final HyphenRule DELETE_BEFORE

  - ### CHANGE_AFTER

    public static final HyphenRule CHANGE_AFTER

  - ### DELETE_AND_CHANGE

    public static final HyphenRule DELETE_AND_CHANGE

- ## Method Details

  - ### values

    public static HyphenRule[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static HyphenRule valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null